0

Hi so I am trying to get latex running through sublime text on Ubuntu 16.04. I have sublime text set up, and I have installed Texlive 2015/debian according to the command

tex --version

I've been trying to use tlmgr to install packages, I am currently missing gensymb and am getting that compilation error when I try to build. I follow the directions here to

http://emmanuel.rousseaux.me/blog_files/install-latest-latex-packages-within-the-tex-live-distribution-provided-by-ubuntu.html

install tlmgr 

I was then running into the error

Unknown direction ...containerchecksum

when trying to do

tlmgr install gensymb

I then found this

https://darrengoossens.wordpress.com/2016/06/20/a-little-trick-with-tlmgr-unknown-directive-containerchecksum-error/

and followed it

when attempting tlmgr install gensymb again I am now getting

(running on Debian, switching to user mode!)
TLDownload::get_file: response error: 404 File 'texlive.tlpdb.xz' not found (for ftp://tug.org/historic/systems/texlive/2015/tlnet-final/tlpkg/texlive.tlpdb.xz)
TLUtils::download_file: persistent connection ok, but download failed: ftp://tug.org/historic/systems/texlive/2015/tlnet-final/tlpkg/texlive.tlpdb.xz
TLUtils::download_file: retrying with wget.
TLUtils::download_file: retry with wget succeeded: ftp://tug.org/historic/systems/texlive/2015/tlnet-final/tlpkg/texlive.tlpdb.xz
TeX Live 2015 is frozen forever and will no
longer be updated.  This happens in preparation for a new release.

If you're interested in helping to pretest the new release (when
pretests are available), please read http://tug.org/texlive/pretest.html.
Otherwise, just wait, and the new release will be ready in due time.
tlmgr: package repository ftp://tug.org/historic/systems/texlive/2015/tlnet-final
tlmgr install: package gensymb not present in repository.
tlmgr: action install returned a warning.

Can anyone help me out here? I am very new to ubuntu (linux in general).

edit: Update, as per the comments I am installing via this.

I run this line

sudo dpkg -i texlive-local_2016-2_all.deb

get this

(Reading database ... 290849 files and directories currently installed.)
Preparing to unpack texlive-local_2016-2_all.deb ...
Unpacking texlive-local (2016-2) over (2016-2) ...
dpkg: dependency problems prevent configuration of texlive-local:
 texlive-local depends on freeglut3; however:
  Package freeglut3 is not installed.

dpkg: error processing package texlive-local (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
texlive-local
  • Welcome! You have TeX Live 2015. The message tells you that it is permanently frozen and will never be updated. Updates went to TeX Live 2016 until that was frozen. Now they go to TeX Live 2017 until that will be frozen (presumably) later this year. – cfr Jan 30 '18 at 2:21
  • Unknown direction ...containerchecksum Is that really the exact and entire error you got? – cfr Jan 30 '18 at 2:24
  • Take a look at this question for an excellent guide on how to get started with the latest version of TeXLive. It also seems that gensymb is included in TeXLive as the package was, so type \usepackage{was} in the header of the document to load it. – Jānis Lazovskis Jan 30 '18 at 2:25
  • Before I followed the advice at darrengoossens wordpress in the OP, yes – MathWannaBe456 Jan 30 '18 at 2:25
  • Well I completely removed whatever texlive I had using this Inline Link and am following Janis Lazovski's link for installing latest TexliVe – MathWannaBe456 Jan 30 '18 at 2:44

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.